<?xml version="1.0" encoding="UTF-8"?> 
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"> 
   <xsl:output version="1.0" indent="yes"/> 
   <xsl:template match="/"> 
      <XMLToDBMS Version="2.0" xmlns="http://www.xmlmiddleware.org/xmldbms/v2"> 
         <Options> 
            <SimpleDateFormat Pattern="yyyy-MM-dd HH:mm:ss.S" DefaultForTypes="TIMESTAMP"/> 
         </Options> 
         <Databases> 
            <Database Name="Default"> 
               <Catalog> 
                  <Schema> 
                     <xsl:for-each select="//Maps/ClassMap"> 
                        <Table Name="{ToClassTable/Table/@Name}"> 
                           <xsl:for-each select="PropertyMap"> 
                              <Column Name="{ToColumn/Column/@Name}" DataType="VARCHAR"/> 
                           </xsl:for-each> 
                           <PrimaryKey> 
                              <UseColumn Name="INSERT NAME OF PRIMARY KEY FOR TABLE: {ToClassTable/Table/@Name}"/> 
                           </PrimaryKey> 
                           <ForeignKey Name="FOREIGN_KEY_NAME (IF THERE IS ONE) "> 
                              <UseTable Name="PARENT_TABLE"/> 
                              <UseUniqueKey Name="PrimaryKey"/> 
                              <UseColumn Name="COLUMN_IN_CHILD_TABLE"/> 
                           </ForeignKey> 
                        </Table> 
                     </xsl:for-each> 
                  </Schema> 
               </Catalog> 
            </Database> 
         </Databases> 
         <Maps> 
            <xsl:for-each select="//Maps/ClassMap"> 
               <ClassMap> 
                  <xsl:for-each select="PropertyMap"> 
                     <PropertyMap> 
                        <ElementType Name="{ElementType/@Name}"/> 
                        <ToColumn Name="{ToColumn/Column/@Name}"/> 
                     </PropertyMap> 
                  </xsl:for-each> 
                  <xsl:for-each select="RelatedClass"> 
                     <RelatedClass KeyInParentTable="Unique"> 
                        <ElementType Name="{ElementType/@Name}"/> 
                        <UseUniqueKey Name="PrimaryKey"/> 
                        <UseForeignKey Name="NAME_OF_FOREIGN_KEY_IN_CHILD_TABLE {ElementType/@Name}"/> 
                     </RelatedClass> 
                  </xsl:for-each> 
               </ClassMap> 
            </xsl:for-each> 
         </Maps> 
      </XMLToDBMS> 
   </xsl:template> 
</xsl:stylesheet>