CREATE TABLE `Customers` (`Number` VARCHAR(10) NOT NULL, `Name` VARCHAR(40) NOT NULL, `Street` VARCHAR(50), `City` VARCHAR(50), `State` VARCHAR(2), `PostalCode` VARCHAR(10), CONSTRAINT PrimaryKey PRIMARY KEY (`Number`))

CREATE TABLE `Parts` (`Number` VARCHAR(10) NOT NULL, `Description` VARCHAR(255), `Price` DOUBLE NOT NULL, CONSTRAINT PrimaryKey PRIMARY KEY (`Number`))

CREATE TABLE `Orders` (`Number` VARCHAR(10) NOT NULL, `CustNumber` VARCHAR(10) NOT NULL, `Date` DATE, CONSTRAINT PrimaryKey PRIMARY KEY (`Number`), CONSTRAINT FK_Customers FOREIGN KEY (`CustNumber`) REFERENCES `Customers` (`Number`))

CREATE TABLE `Items` (`SONumber` VARCHAR(10) NOT NULL, `Number` INTEGER NOT NULL, `Part` VARCHAR(10) NOT NULL, `Quantity` INTEGER NOT NULL,  CONSTRAINT PrimaryKey PRIMARY KEY (`SONumber`, `Number`), CONSTRAINT FK_SalesOrder FOREIGN KEY (`SONumber`) REFERENCES `Orders` (`Number`), CONSTRAINT FK_Parts FOREIGN KEY (`Part`) REFERENCES `Parts` (`Number`))

